std::__detail::_BracketMatcher< _TraitsT > Struct Template Reference
Base and Implementation Classes

## Public Types

typedef _TraitsT::char_class_type | _CharClassT
typedef _TraitsT::char_type | _CharT
typedef regex_constants::syntax_option_type | _FlagT
typedef _TraitsT::string_type | _StringT

## Public Member Functions

| _BracketMatcher (bool __is_non_matching, const _TraitsT &__traits, _FlagT __flags)
void | _M_add_char (_CharT __c)
void | _M_add_character_class (const _StringT &__s)
void | _M_add_collating_element (const _StringT &__s)
void | _M_add_equivalence_class (const _StringT &__s)
_StringT | _M_get_str (_CharT __c) const
bool | _M_is_icase () const
void | _M_make_range (_CharT __l, _CharT __r)
_CharT | _M_translate (_CharT __c) const
bool | operator() (_CharT) const

## Public Attributes

std::set< _CharT > | _M_char_set
_CharClassT | _M_class_set
std::set< _StringT > | _M_equiv_set
_FlagT | _M_flags
bool | _M_is_non_matching
std::set< pair< _StringT, _StringT > > | _M_range_set
const _TraitsT & | _M_traits

## Detailed Description

### template<typename _TraitsT>
struct std::__detail::_BracketMatcher< _TraitsT >

Matches a character range (bracket expression)

Definition at line 43 of file regex_compiler.h.

The documentation for this struct was generated from the following files:

- regex_compiler.h
- regex_compiler.tcc